BUG #16880: running into 2 error when trying to install

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

BUG #16880: running into 2 error when trying to install

PG Bug reporting form
The following bug has been logged on the website:

Bug reference:      16880
Logged by:          Rainer Hartwig
Email address:      [hidden email]
PostgreSQL version: 12.5
Operating system:   OEL 8.3
Description:        

Hello,


runing into (at least) two errors when trying to install postgres 12 on RH 8
/ OEL 8.3




ERROR 1)
starting from https://www.postgresql.org/download/linux/redhat/
Version: 12
Platform: RH 8
Arch: x86_64
when executing the first statement in the posted short shell script
# Install the repository RPM:
sudo dnf install -y
https://download.postgresql.org/pub/repos/yum/reporpms/EL-8-x86_64/pgdg-redhat-repo-latest.noarch.rpm

I get
---snip---
Status code: 404 for https://yum.postgresql.org/repodata/repomd.xml (IP:
72.32.157.196)
Error: Failed to download metadata for repo 'yum.postgres.org': Cannot
download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were
tried
---snip---

When downloading the the rpm with wget and installing the rpm as
sudo dns install -y pgdg-redhat-repo-latest.noarch.rpm
I getting the same error


ERROR 2)
workaround to 1)
changing the entry of
from: baseurl=https://yum.postgresql.org
to:  
baseurl=https://download.postgresql.org/pub/repos/yum/12/redhat/rhel-8.3-x86_64
=> will solve yum -v repolist

but the following command will fail too

# Install PostgreSQL:
sudo dnf install -y postgresql12-server

 

Getting the following output

---snip---
Dependencies resolved.
========================================================================================================================================================================
Package Architecture Version Repository Size
========================================================================================================================================================================
Installing:
postgresql12-server x86_64 12.6-1PGDG.rhel8 yum.postgresql.org 5.2 M
Installing dependencies:
postgresql12 x86_64 12.6-1PGDG.rhel8 yum.postgresql.org 1.7 M
postgresql12-libs x86_64 12.6-1PGDG.rhel8 yum.postgresql.org 397 k

Transaction Summary
========================================================================================================================================================================
Install 3 Packages
Total size: 7.3 M
Installed size: 31 M
Downloading Packages:
[SKIPPED] postgresql12-12.6-1PGDG.rhel8.x86_64.rpm: Already downloaded
[SKIPPED] postgresql12-libs-12.6-1PGDG.rhel8.x86_64.rpm: Already
downloaded
[SKIPPED] postgresql12-server-12.6-1PGDG.rhel8.x86_64.rpm: Already
downloaded
warning:
/var/cache/dnf/yum.postgresql.org-60525d57a415b13a/packages/postgresql12-12.6-1PGDG.rhel8.x86_64.rpm:
Header V4 DSA/SHA1 Signature, key ID 442df0f8: NOKEY
Public key for postgresql12-12.6-1PGDG.rhel8.x86_64.rpm is not installed
Public key for postgresql12-libs-12.6-1PGDG.rhel8.x86_64.rpm is not
installed
Public key for postgresql12-server-12.6-1PGDG.rhel8.x86_64.rpm is not
installed
The downloaded packages were saved in cache until the next successful
transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED
---snip---

 
Can you help me???